import { html as h } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, i = c.length - 1, o; i >= 0; i--)
    (o = c[i]) && (e = (r ? o(t, s, e) : o(e)) || e);
  return r && e && g(t, s, e), e;
};
let p = class extends n {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--receiptLarge", this.class = "c-pieIcon c-pieIcon--receiptLarge", this.name = "IconReceiptLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--receiptLarge"><path d="M21.25 15.125h-10.5v1.75h10.5z"></path><path d="M19.5 18.625h-7v1.75h7z"></path><path d="M19.5 11.625h-7v1.75h7z"></path><path d="M22.939 6.471 19.5 4.494 16 6.463l-3.5-1.97-3.439 1.978L5.5 4.573v22.854l3.561-1.898 3.439 1.977 3.5-1.968 3.5 1.968 3.43-1.977 3.57 1.898V4.573zm1.811 18.043-.989-.525a1.75 1.75 0 0 0-1.688 0l-2.625 1.479-2.625-1.488a1.75 1.75 0 0 0-1.75 0l-2.626 1.488-2.52-1.453a1.75 1.75 0 0 0-1.688 0l-.989.499V7.486l.989.525a1.75 1.75 0 0 0 1.688 0L12.5 6.506l2.625 1.488a1.75 1.75 0 0 0 1.75 0L19.5 6.506l2.625 1.479a1.75 1.75 0 0 0 1.689 0l.936-.499z"></path></svg>`;
  }
};
l([
  a({ type: String, reflect: !0 })
], p.prototype, "size", 2);
l([
  a({ type: String, reflect: !0 })
], p.prototype, "class", 2);
p = l([
  f("icon-receipt-large")
], p);
export {
  p as IconReceiptLarge
};
